Bug 824205 - Please drop StandardOutput=syslog and Requires=network.target from radvd.service
Please drop StandardOutput=syslog and Requires=network.target from radvd.service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: radvd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 21:27 EDT by Lennart Poettering
Modified: 2012-06-01 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-01 13:15:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2012-05-22 21:27:44 EDT
Please drop StandardOutput=syslog from the radvd.service unit file, as this overrides the default the user might configure in /etc/systemd/system.conf. As that file defaults to a similar default anyway the setting is entirely redundant anyway.

Also, please drop Requires=network.target (but keep After=network.target), as radvd works fine without network (it listens to netlink events), and the user should have the option to run radvd without upping all interfaces.
Comment 1 Petr Pisar 2012-05-23 02:48:07 EDT
Thanks for notifying. I asked FPC to change guidelines (https://fedorahosted.org/fpc/ticket/177).

radvd could not start without up and running interface formally. It required at least one configured interface. I will verify radvd copes with missing all interfaces and I will adjust the unit file.
Comment 2 Fedora Update System 2012-05-23 04:44:27 EDT
radvd-1.8.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/radvd-1.8.5-3.fc17
Comment 3 Lennart Poettering 2012-05-23 08:25:08 EDT
Side note: by leaving in After=network.target you still get the desired effect that if the network is configured you will be started after it. But you no longer are the one who pulls it in.
Comment 4 Fedora Update System 2012-05-24 11:32:44 EDT
Package radvd-1.8.5-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing radvd-1.8.5-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8268/radvd-1.8.5-3.fc17
then log in and leave karma (feedback).
Comment 5 Pavel Alexeev 2012-05-28 05:05:21 EDT
I think it assigned to me by mistake.
Comment 6 Fedora Update System 2012-06-01 13:15:32 EDT
radvd-1.8.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.